org.bouncycastle.asn1.x9

## Class X962Parameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x9.X962Parameters

All Implemented Interfaces:
  ASN1Choice, DEREncodable

    public class X962Parameters
    extends ASN1Encodable
    implements ASN1Choice

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`X962Parameters(DERObject obj)`
`X962Parameters(DERObjectIdentifier namedCurve)`
`X962Parameters(X9ECParameters ecParameters)`

### Method Summary

Methods
`static X962Parameters` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static X962Parameters` `getInstance(java.lang.Object obj)`
`DERObject` `getParameters()`
`boolean` `isImplicitlyCA()`
`boolean` `isNamedCurve()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X962Parameters

    public X962Parameters(X9ECParameters ecParameters)

#### X962Parameters

    public X962Parameters(DERObjectIdentifier namedCurve)

#### X962Parameters

    public X962Parameters(DERObject obj)

### Method Detail

#### getInstance

    public static X962Parameters getInstance(java.lang.Object obj)

#### getInstance

    public static X962Parameters getInstance(ASN1TaggedObject obj,
                             boolean explicit)

#### isNamedCurve

    public boolean isNamedCurve()

#### isImplicitlyCA

    public boolean isImplicitlyCA()

#### getParameters

    public DERObject getParameters()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     Parameters ::= CHOICE {
        ecParameters ECParameters,
        namedCurve   CURVES.&id({CurveNames}),
        implicitlyCA NULL
     }

Specified by:
  `toASN1Object` in class `ASN1Encodable`